package com.cenqua.fisheye.user.plugin;

import javax.servlet.http.HttpServletRequest;

/**
 * A super class for all Custom FishEye Authenticators.
 *
 * It is best practice to extend this class instead of implementing a
 * custom FishEyeAuthenticator.
 *
 */
public abstract class AbstractFishEyeAuthenticator implements FishEyeAuthenticator {

    public AuthToken checkRequest(HttpServletRequest request) {
        return null;
    }

    public boolean isRequestUserStillValid(String username, HttpServletRequest req) {
        return true;
    }
}
